#!/bin/sh

OUTFILE=$0.ps
\rm $OUTFILE
touch $OUTFILE

LONMIN=-90.5
LONMAX=-89
LATMIN=35.5
LATMAX=37
REGION=-R$LONMIN/$LONMAX/$LATMIN/$LATMAX
PROJ=-Jm
SCALE=4
GRID=a1f0.5g1
B=-B$GRID
XOFF=-X1
YOFF=-Y2
ORIENT=
ORIENT=-P
NOSHOWPAGE=-K
NOHEADER=-O
CONTINUE="$NOSHOWPAGE $NOHEADER"
VBSE=-V
#VBSE=

#echo $REGION $PROJ$SCALE $B $XOFF $YOFF $ORIENT $NOSHOWPAGE $VBSE
gmt psbasemap $REGION $PROJ$SCALE $B $XOFF $YOFF $ORIENT $NOSHOWPAGE $VBSE >> $OUTFILE

POLITICAL=-Na
RESOLUTION=-Dh

gmt pscoast -R -J $RESOLUTION $POLITICAL $CONTINUE >> $OUTFILE

EQSYM=-Sc
INVERT=-:

#deepest earthquake in dataset is 19+ km, scale depth by 20 to make it range from 0 to 1 for coloring (GMT_hot.cpt goes from 0=black to 1=white)
#scale magnitude by 15 to make circle sizes reasonable and sort by magnitude (is 5th column in query.csv, but 4th column in output of awk) so dont hide large events under lots of small ones.
DEPTHRESCALE=20
MAGSIZE=15
 gmt psxy $REGION $PROJ$SCALE $EQSYM -W0.5,black -Gred -h1 -CGMT_hot $INVERT $CONTINUE $VBSE <<END>> $OUTFILE
 `awk 'BEGIN {FS=","} {print $2, $3, $4/'$DEPTHRESCALE', $5/'$MAGSIZE'}' query.csv | sort -n -k4`
END

echo plot focal mechs
 MECAPRINT="0,0"
 MECASIZE=0.5
 MECALABEL=0
  gmt psmeca $REGION $PROJ -Sd$MECASIZE/$MECALABEL/0 -Gred -L -W0.5,black $CONTINUE $VBSE << END >> $OUTFILE
`nawk '{print $1, $2, $3, $4, $5, $6, $7, $8, $9, $10, '$MECAPRINT' }' fake_nm.dat`
END
